# -*- mode: ruby -*-
# vi: set ft=ruby :
Vagrant.configure("2") do |config|
  config.vm.define "web" do |web|
    web.vm.box = "debian/contrib-buster64"
    web.vm.hostname = 'web'

    web.vm.network :private_network, ip: "192.168.33.17"
    public_key = File.read("cle_publique")

    config.vm.provision :shell, :inline =>"
     echo 'AuthorizedKeysFile      .ssh/authorized_keys' >> /etc/ssh/sshd_config
     ", privileged: true 

  end

  config.vm.define "lb" do |lb|
    lb.vm.box = "debian/contrib-buster64"
    lb.vm.hostname = 'loadbalancer'

    lb.vm.network :private_network, ip: "192.168.33.18"
    public_key = File.read("cle_publique")


  end

  config.vm.define "mc" do |mc|
    mc.vm.box = "debian/contrib-buster64"
    mc.vm.hostname = 'machine1'

    mc.vm.network :private_network, ip: "192.168.33.15"
    public_key = File.read("cle_publique")

    config.vm.provision :shell, :inline =>"
     echo 'Copying ansible-vm public SSH Keys to the VM'
     mkdir -p /home/vagrant/.ssh
     chmod 700 /home/vagrant/.ssh
     echo '#{public_key}' >> /home/vagrant/.ssh/authorized_keys
     chmod -R 600 /home/vagrant/.ssh/authorized_keys
     ", privileged: false
  end


end

